import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  name: z.literal(true).optional(),
  phoneNumber: z.literal(true).optional(),
  createdAt: z.literal(true).optional(),
  _all: z.literal(true).optional()
}).strict();
export const InsuranceContactCountAggregateInputObjectSchema: z.ZodType<Prisma.InsuranceContactCountAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceContactCountAggregateInputType>;
export const InsuranceContactCountAggregateInputObjectZodSchema = makeSchema();
